Skip to navigation

Bug Fix Advisory yum bug fix update

Advisory: RHBA-2008:0487-2
Type: Bug Fix Advisory
Severity: N/A
Issued on: 2008-05-21
Last updated on: 2008-05-21
Affected Products: Red Hat Enterprise Linux (v. 5 server)
Red Hat Enterprise Linux Desktop (v. 5 client)
Red Hat Enterprise Linux EUS (v. 5.2.z server)

Details

An updated yum package that fixes a bug is now available.

Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded
automatically, prompting the user as necessary.

This updated yum package addresses the following bug:

* yum would not allow for a URL to be used as a parameter of the -c option
which specifies the location of the configuration file even though the man
page stated this functionality was available. This updated package fixes
this issue and allows for a URL to be used with the -c option.

Users of yum should upgrade to this updated package, which resolves this
issue.


Solution

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/FAQ_58_10188

Updated packages

Red Hat Enterprise Linux (v. 5 server)

SRPMS:
yum-3.2.8-9.el5_2.1.src.rpm
File outdated by:  RHBA-2012:1117
    MD5: 79ce4d8ca63db5a139434f73c119f4cd
 
IA-32:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
IA-64:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
PPC:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
s390x:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
x86_64:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
Red Hat Enterprise Linux Desktop (v. 5 client)

SRPMS:
yum-3.2.8-9.el5_2.1.src.rpm
File outdated by:  RHBA-2012:1117
    MD5: 79ce4d8ca63db5a139434f73c119f4cd
 
IA-32:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
x86_64:
yum-3.2.8-9.el5_2.1.noarch.rpm
File outdated by:  RHBA-2012:1117
    MD5: 980c99b5c83e0de04a79608aeeef12ef
 
Red Hat Enterprise Linux EUS (v. 5.2.z server)

SRPMS:
yum-3.2.8-9.el5_2.1.src.rpm
File outdated by:  RHBA-2012:1117
    MD5: 79ce4d8ca63db5a139434f73c119f4cd
 
IA-32:
yum-3.2.8-9.el5_2.1.noarch.rpm     MD5: 980c99b5c83e0de04a79608aeeef12ef
 
IA-64:
yum-3.2.8-9.el5_2.1.noarch.rpm     MD5: 980c99b5c83e0de04a79608aeeef12ef
 
PPC:
yum-3.2.8-9.el5_2.1.noarch.rpm     MD5: 980c99b5c83e0de04a79608aeeef12ef
 
s390x:
yum-3.2.8-9.el5_2.1.noarch.rpm     MD5: 980c99b5c83e0de04a79608aeeef12ef
 
x86_64:
yum-3.2.8-9.el5_2.1.noarch.rpm     MD5: 980c99b5c83e0de04a79608aeeef12ef
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

447398 - yum dies when using an http config url



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/